Subject: Re: bug#6441: 23.2; password-cache and smtpmail useless default

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 07 Jan 2012 06:35:34 +0100

Shawn Betts <[email-masked]> writes:

> The default value for password-cache-expiry is 16 seconds. smtpmail uses
> password-cache to save the password. However, since it expires 16
> seconds after its cached it never functionally stores my password. The
> next time I send an email I always have to enter my password which
> doesn't seem right.
>
> Obviously, I just set my password-cache-expiry to nil to fix the problem
> but it strikes me that 16 seconds is a useless default for
> smtpmail. Perhaps password-cache-add should have an optional
> cache-expiry-override variable.

smtpmail no longer uses password-cache and friends, but uses auth-source
instead, so this is no longer a problem in Emacs 24.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/